@mixin pseudo($location: after, $content: '', $position: absolute) {
  position: relative;
  &::#{$location} {
    content: $content;
    position: $position;
    @content;
  }
}

@mixin flex($horiz: center, $vert: stretch) {
  display: flex;
  justify-content: $horiz;
  align-items: $vert;
}